Module javafx.base
Package javafx.util.converter

# Class CurrencyStringConverter

java.lang.Object
javafx.util.StringConverter<Number>
javafx.util.converter.NumberStringConverter
javafx.util.converter.CurrencyStringConverter

    public class CurrencyStringConverter
    extends NumberStringConverter

`StringConverter` implementation for `Number` values that represent currency.

Since:
  JavaFX 2.1
See Also:
  `PercentageStringConverter`, `NumberStringConverter`, `StringConverter`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CurrencyStringConverter()` |
  `CurrencyStringConverter​(String pattern)` |
  `CurrencyStringConverter​(NumberFormat numberFormat)` |
  `CurrencyStringConverter​(Locale locale)` |
  `CurrencyStringConverter​(Locale locale, String pattern)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected NumberFormat` | `getNumberFormat()` | Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

  ### Methods inherited from class javafx.util.converter.NumberStringConverter

  `fromString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CurrencyStringConverter

    public CurrencyStringConverter()

  - ### CurrencyStringConverter

    public CurrencyStringConverter​(Locale locale)

  - ### CurrencyStringConverter

    public CurrencyStringConverter​(String pattern)

  - ### CurrencyStringConverter

    public CurrencyStringConverter​(Locale locale, String pattern)

  - ### CurrencyStringConverter

    public CurrencyStringConverter​(NumberFormat numberFormat)

- ## Method Details

  - ### getNumberFormat

    protected NumberFormat getNumberFormat()

    Return a `NumberFormat` instance to use for formatting and parsing in this `StringConverter`.

    Overrides:
      `getNumberFormat` in class `NumberStringConverter`
    Returns:
      a `NumberFormat` instance for formatting and parsing in this `StringConverter`